diff --git a/changelog b/changelog
index 72ec095..0a320c8 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20140608 tpd src/axiom-website/patches.html 20140608.03.tpd.patch
+20140608 tpd src/input/Makefile add subset.input
+20140608 tpd src/input/subset.input regression test subset? function
 20140608 tpd src/axiom-website/patches.html 20140608.02.tpd.patch
 20140608 tpd bug 7247: subset? uses wrong length test, should use <=
 20140608 tpd bookvol10.2 FiniteSetAggregate subset? fixed
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 62b89d2..6abd3ba 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4402,6 +4402,8 @@ src/input/segletes.input implement 6, 8, 10, 12 Ei functions
 book/*.txt email cleanup
 <a href="patches/20140608.02.tpd.patch">20140608.02.tpd.patch</a>
 bug 7247: subset? uses wrong length test, should use <=
+<a href="patches/20140608.03.tpd.patch">20140608.03.tpd.patch</a>
+src/input/subset.input implement 6, 8, 10, 12 Ei functions
  </body>
 </html>
 
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index f4b45bd..6fe8e28 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -404,7 +404,7 @@ REGRESSTESTS= ackermann.regress \
     solvetra.regress  space3.regress   sqmatrix.regress sqrt3.regress \
     sregset.regress \
     stbl.regress      stream2.regress  stream.regress   streams.regress \
-    string.regress    strtbl.regress   summation.regress \
+    string.regress    strtbl.regress   subset.regress   summation.regress \
     symbol.regress    t111293.regress  table.regress    tancot.regress \
     tanhcoth.regress  tanatan.regress  tbagg.regress    telford.regress \
     test.regress      testpackage.regress \
diff --git a/src/input/subset.input.pamphlet b/src/input/subset.input.pamphlet
new file mode 100644
index 0000000..0a8760b
--- /dev/null
+++ b/src/input/subset.input.pamphlet
@@ -0,0 +1,73 @@
+\documentclass{article}
+\usepackage{axiom}
+\setlength{\textwidth}{400pt}
+\begin{document}
+\title{\$SPAD/src/input subset.input}
+\author{Timothy Daly}
+\maketitle
+\begin{abstract}
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+\begin{chunk}{*}
+)set break resume
+)sys rm -f subset.output
+)spool subset.output
+)set message test on
+)set message auto off
+)clear all
+ 
+--S 1 of 6
+SI ==> Set Integer
+--R 
+--R                                                                   Type: Void
+--E 1
+
+--S 2 of 6
+SSI ==> Set SI
+--R 
+--R                                                                   Type: Void
+--E 2
+
+--S 3 of 6
+si:SI := set [2]
+--R 
+--R
+--R   (3)  {2}
+--R                                                           Type: Set(Integer)
+--E 3
+
+--S 4 of 6
+subset?(si,si)
+--R 
+--R
+--R   (4)  true
+--R                                                                Type: Boolean
+--E 4
+
+--S 5 of 6
+ssi:SSI := set [si]
+--R 
+--R
+--R   (5)  {{2}}
+--R                                                      Type: Set(Set(Integer))
+--E 5
+
+--S 6 of 6
+subset?(ssi,ssi)
+--R 
+--R
+--R   (6)  true
+--R                                                                Type: Boolean
+--E 6
+
+)spool 
+)lisp (bye)
+ 
+\end{chunk}
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} nothing
+\end{thebibliography}
+\end{document}
